Subject: [bug#62643] [PATCH] gnu: rust-1.65: Rename package to rust-next.

From: Efraim Flashner <[email-masked]>
Date: Mon, 03 Apr 2023 23:08:49 +0300

On Monday, 3 April 2023 23:05:24 IDT Maxim Cournoyer wrote:
> Hi,
> 
> "(" <[email-masked]> writes:
> > Hi Simon,
> > 
> > On Mon Apr 3, 2023 at 3:00 PM BST, Simon Tournier wrote:
> >> * gnu/packages/rust.scm (rust-next): New exported variable, formerly
> >> known as "rust-1.65".
> > 
> > For the reasons I outlined in <https://issues.guix.gnu.org/62064#5>, we
> > can't just export RUST-1.65 as RUST-NEXT, unfortunately...
> 
> Agreed.  If there is a need for newer public rust version, please go
> through the maintainers' note above the 'rust' variable:
> 
> ;;; Note: Only the latest versions of Rust are supported and tested.  The
> ;;; intermediate rusts are built for bootstrapping purposes and should not
> ;;; be relied upon.  This is to ease maintenance and reduce the time
> ;;; required to build the full Rust bootstrap chain.
> ;;;
> ;;; Here we take the latest included Rust, make it public, and re-enable
> tests ;;; and extra components such as rustfmt.
> 
> Usually the whole collection keeps building with the latest rust version
> as it's backward compatible, I think, so it's not as much work as it may
> look like.
> 
> OK to close?

I'd rather work on upgrading the whole rust ecosystem packaged in Guix than 
keep a newer version of rust working while fielding questions about why it's 
not yet the default.